{% extends 'base.html' %} {% load static %} {% block meta %}
<title>CoviDiscussion</title>
{% endblock meta %} {% block content %}
<div class="text-center">
    <h1>Selamat Datang di CoviDiscussion</h1>
    <p>Tempat untuk saling diskusi dan bercerita tentang COVID-19</p>
</div>

<div class="container-fluid">
    <div class="row my-5">
        <div class="col-md-8 offset-md-2">
            <div class="rounded-lg border border-dark p-3" style="background: white">
                <h4 class="text-center pb-4">APA ITU COVID -19</h4>
                <p class="text-center pl-3 pr-3">Virus Corona atau severe acute respiratory syndrome coronavirus 2 (SARS-CoV-2) adalah virus yang menyerang sistem pernapasan. Penyakit karena infeksi virus ini disebut COVID-19. Virus Corona bisa menyebabkan gangguan ringan pada sistem
                    pernapasan, infeksi paru-paru yang berat, hingga kematian.</p>
            </div>
        </div>
    </div>
    <div class="row my-5">
        <div class="col-md-8 offset-md-2">
            <div class="rounded-lg border border-dark p-3" style="background: white">
                <h4 class="text-center pb-4">PEYEBARAN COVID-19</h4>
                <p class="text-center pl-3 pr-3">Virus Corona atau severe acute respiratory syndrome coronavirus 2 (SARS-CoV-2) adalah virus yang menyerang sistem pernapasan. Penyakit karena infeksi virus ini disebut COVID-19. Virus Corona bisa menyebabkan gangguan ringan pada sistem
                    pernapasan, infeksi paru-paru yang berat, hingga kematian.</p>
            </div>
        </div>
    </div>
    <div class="row my-5">
        <div class="col-md-8 offset-md-2">
            <div class="rounded-lg border border-dark p-3" style="background: white">
                <h4 class="text-center pb-4">CARA PENCEGAHAN COVID-19</h4>
                <p class="pl-3 pr-3">Cara pencegahan Covid-19 :
                    <ol>
                        <li>Cuci tangan Anda secara rutin. Gunakan sabun dan air, atau cairan pembersih tangan berbahan alkohol.</li>
                        <li>Selalu jaga jarak aman dengan orang yang batuk atau bersin.</li>
                        <li>Kenakan masker jika pembatasan fisik tidak dimungkinkan.</li>
                        <li>Jangan sentuh mata, hidung, atau mulut Anda.</li>
                        <li>Saat batuk atau bersin, tutup mulut dan hidung Anda dengan lengan atau tisu.</li>
                        <li>Jangan keluar rumah jika merasa tidak enak badan.</li>
                        <li>Jika demam, batuk, atau kesulitan bernapas, segera cari bantuan medis.</li>
                    </ol>
                </p>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid my-5">
    <div class="row overflow-auto">
        <div class="col-md-8 offset-md-2 ">
            <div class="rounded-lg border border-secondary p-3" style="background: white">
                {% if saran %}
                <div class="container-fluid  overflow-auto" style="height: 450px;">
                    {% for saran in saran %}
                    <div class="card border-white">
                        <div class="card-body">
                            <div style="display: inline-flex;">
                                <h4 class="card-title mr-4">{{ saran.nama}}</h4>
                                <p class="card-subtitle mt-1 text-muted">{{ saran.lokasi }}</p>
                            </div>
                            <h5 class="card-text">{{ saran.saran }}</h5>
                            <button type="reset" class="btn float-right" data-toggle="modal" data-target="#exampleModal{{ saran.id }}">
                            <img src="{% static 'img/trash.png' %}" width="20" height="20" alt="trash">
                          </button>
                        </div>
                        <hr class="mx-5">
                    </div>

                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal{{ saran.id }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Peringatan</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                                </div>
                                <div class="modal-body">
                                    <h4>Apakah anda ingin menghapus tanggapan ini?</h4>

                                    <div class="card border-white">
                                        <div class="card-body">
                                            <h4 class="card-title">{{ saran.nama}}</h5>
                                                <p class="card-subtitle mb-3 text-muted">{{ saran.lokasi }}</p>
                                                <h5 class="card-text">{{ saran.saran }}</h5>
                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>

                                    <form class="text-center" action="{% url 'main:deletesaran' saran.id %}" method="POST">
                                        {% csrf_token %}
                                        <button type="submit" class="btn btn-danger">Hapus</button>
                                    </form>

                                </div>
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>
<div class="container-fluid my-5" id="saran">
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="rounded-lg border border-secondary p-3" style="background: white">
                <h4 class="text-center">SARAN</h4>
                <form class="ml-5 mr-5 mt-2 font-weight-bold py-4" action="{% url 'main:savesaran' %}" method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="nama">Nama</label> {{form.nama}}
                    </div>
                    <div class="form-group">
                        <label for="lokasi">Lokasi</label> {{form.lokasi}}
                    </div>
                    <div class="form-group">
                        <label for="saran">Saran kamu</label> {{form.saran}}
                    </div>
                    <center class="pt-3">
                        <a type="button" data-toggle="modal" data-target="#exampleModal" class="btn btn-light border border-dark font-weight-bold">SAMPAIKAN</a>
                    </center>
                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h6 class="modal-title" id="exampleModalLabel">Peringatan</h6>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
									</button>
                                </div>
                                <div class="modal-body">
                                    <h5 class="modal-title" id="exampleModalLabel">Apakah anda yakin data yang dimasukkan sudah benar?</h5>
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="btn btn-light border border-dark font-weight-bold">Sudah</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

{% endblock content %}